#ifndef __COG_TEST_H__
#define __COG_TEST_H__

#define STACK_SIZE_A        64
#define COG_MESSAGE_SIZE    35
#define dir_in(pin) ( _DIRA &= ~(1<<pin))
#define dir_out(pin) ( _DIRA |= (1<<pin))
#define pin_low(pin) ( _OUTA &= ~(1<<pin))
#define pin_high(pin) ( _OUTA |= (1<<pin))
#define _DataIO          4                //DIN & DATA_RLY
#define _Clock           5               // SCLK_IN & SCLK_RLY
#define _HC595           7               // LAT_RLY Pin
#define _HC165           6               // LOAD_IN Pin

struct cogA_mailbox {
    int     message_lock_ID;
    int     message_flag;
    char    message[COG_MESSAGE_SIZE];  
    uint8_t ccb;
};

#endif
